#!/usr/bin/env python
import sys
import charmhelpers.contrib.ansible
import charmhelpers.payload.execd

hooks = charmhelpers.contrib.ansible.AnsibleHooks(
    playbook_path='playbook.yaml',
    default_hooks=[
        'config-changed',
        'upgrade-charm',
        'conn-check-relation-changed',
        'nrpe-external-master-relation-changed',
    ])


@hooks.hook('install', 'upgrade-charm')
def install():
    """Install ansible.

    The hook() helper decorating this install function ensures that after this
    function finishes, any tasks in the playbook tagged with install are
    executed.
    """
    charmhelpers.payload.execd.execd_preinstall()
    charmhelpers.contrib.ansible.install_ansible_support(from_ppa=True)


@hooks.action()
def run_check():
    """usage: check"""
    return {}


@hooks.action()
def run_nagios_check():
    """usage: nagios check"""
    return {}


if __name__ == "__main__":
    hooks.execute(sys.argv)
